OPEN COMMAND$ FOR INPUT AS #1
DO
Top:
 LINE INPUT #1, a$
 x% = INSTR(a$, "XREF")
 IF x% AND LEFT$(a$, 1) = ";" THEN
   a$ = ";" + MID$(a$, x%)
 END IF
 x% = INSTR(a$, ";PROC{")
 IF x% THEN
  a$ = LEFT$(a$, x% - 1)
  PRINT ";PROC{"
 END IF
 x% = INSTR(a$, "db 90")
 IF x% THEN
   iter% = 1
   N$ = RTRIM$(LEFT$(a$, 30))
   B$ = RTRIM$(MID$(a$, 31, LEN(a$) - 30))
   DO
     LINE INPUT #1, a$
     x% = INSTR(a$, "db 90")
     IF x% THEN
       B$ = B$ + ", 90"
       N$ = N$ + "90"
       iter% = iter% + 1
       IF iter% = 9 THEN
         PRINT N$ + SPACE$(30 - LEN(N$)) + B$
         GOTO Top
       EXIT DO
       END IF
     ELSE
       PRINT N$ + SPACE$(30 - LEN(N$)) + B$
       EXIT DO
     END IF
   LOOP
 END IF
 PRINT RTRIM$(a$)
LOOP UNTIL EOF(1)

